## com.baidubce.services.moladb.model
Class AttributeValueUpdate

    java.lang.Object
      com.baidubce.services.moladb.model.AttributeValueUpdate

    public class AttributeValueUpdate

extends Object

Represents the attributes to be updated in the UpdateItem operation.

Field Summary
`static String` `ACTION_DELETE`
`static String` `ACTION_PUT`

Constructor Summary
`AttributeValueUpdate()` Constructs a new AttributeValueUpdate object.
`AttributeValueUpdate(AttributeValue value, String action)` Constructs a new AttributeValueUpdate object.

Method Summary
`String` `getAction()` Get the update item operation with specified action.
`AttributeValue` `getValue()` The method get the new value set for the attribute waiting for updating.
`void` `setAction(String action)` Set the update item operation with specified action.
`void` `setValue(AttributeValue value)` The method set the new value for an attribute waiting for updating.
`protected Map<String,Object>` `toJsonObj()`
`String` `toString()` Return a string representation of the object.
`AttributeValueUpdate` `withAction(String action)` Set the update item operation with specified action.
`AttributeValueUpdate` `withValue(AttributeValue value)` The method set the new value for an attribute waiting for updating.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_PUT

    public static final String ACTION_PUT

See Also:
  Constant Field Values

### ACTION_DELETE

    public static final String ACTION_DELETE

See Also:
  Constant Field Values

Constructor Detail

### AttributeValueUpdate

    public AttributeValueUpdate()

  Constructs a new AttributeValueUpdate object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

### AttributeValueUpdate

    public AttributeValueUpdate(AttributeValue value,
                                String action)

  Constructs a new AttributeValueUpdate object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `value` - The attribute value to be updated.
    `action` - The specified action with the attribute.

Method Detail

### setValue

    public void setValue(AttributeValue value)

  The method set the new value for an attribute waiting for updating.

  Parameters:
    `value` - The new attribute value for an attribute waiting for updating.
  See Also:
    `AttributeValue`

### withValue

    public AttributeValueUpdate withValue(AttributeValue value)

  The method set the new value for an attribute waiting for updating.

  Parameters:
    `value` - The new attribute value for an attribute waiting for updating.
  Returns:
  See Also:
    `AttributeValue`

### getValue

    public AttributeValue getValue()

  The method get the new value set for the attribute waiting for updating.

  Returns:
    The new attribute value for an attribute waiting for updating.

### setAction

    public void setAction(String action)

  Set the update item operation with specified action. Valid values are PUT and DELETE.

  Parameters:
    `action` - The specified action to be set. Valid values are PUT and DELETE.

### withAction

    public AttributeValueUpdate withAction(String action)

  Set the update item operation with specified action. Valid values are PUT and DELETE.

  Parameters:
    `action` - The specified action to be set. Valid values are PUT and DELETE.
  Returns:
    Returns a reference to this object so that method calls can be chained together.

### getAction

    public String getAction()

  Get the update item operation with specified action. Valid values are PUT and DELETE.

  Returns:
    The specified action to be set. Valid values are PUT and DELETE.

### toString

    public String toString()

  Return a string representation of the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of the object.

### toJsonObj

    protected Map<String,Object> toJsonObj()

Copyright © 2016. All rights reserved.